#This file shows how to use a Moby Service
#the resulting object is a MobyContent Object

from bioMoby import *

print "service getNASC_codebyAGI_locus\n"

myServiceName='getNASC_codebyAGI_locus'

#Get a connection to Moby
client=Client()

#we are looking for a service
print "looking for services...\n"
serviceList=client.findService(ServiceQuery(serviceName=myServiceName))

#see if there is a service
if len(serviceList)>0:
    #for example, we execute the first one
    myService=serviceList[0]

    #we take the wsdl
    print "retrieve the wsdl...\n"
    wsdl=client.retrieveServiceWSDL(myServiceName)

    #we execute the service
    try:
        object=MobyObject(namespace='AGI_LocusCode',id='At3g19100')
        query=MobyContent({'query1':[object]})

        print "Service getNASC_codebyAGI_locus executed  with query1 namespace=AGI_LocusCode and id=At3g19100...\n"            

        resultat=myService.execute(query, debug=True)

	print "the xml form\n"
    
	fp=file("debug",'w')
	fp.write(resultat)
	fp.close()
	print resultat

	print "the queryData Component\n"
	um=MobyUnmarshaller()
	mc=um.loads(resultat)
	print "queryData has"
	for content in mc.queryData.keys():
            print mc.queryData[content][0]

    except ENotAWSMethod:
        print "method not registered in the service"
else:
    print "no service with such name"
